/*
   base/planet.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_BASE_PLANET_H__
#define __INCLUDED_BASE_PLANET_H__

#include "core/entity.h"
#include "math/mathlib.h"

#include <string>

namespace game
{

/// a planet
class Planet : public core::EntityGlobe
{
public:
	Planet();
	virtual ~Planet();
	
	/// entity received a docking request
	virtual void dock(core::Entity *entity);
};

/// FIXME
const float planet_safe_distance = 5.0f;

} // namespace game

#endif // __INCLUDED_BASE_PLANET_H__

