/*
   render/screenshot.h
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2
*/

#ifndef __INCLUDED_RENDER_SCREENSHOT_H__
#define __INCLUDED_RENDER_SCREENSHOT_H__

#include "core/cvar.h"

namespace render
{

class Screenshot
{
public:
	static void save();

	static core::Cvar *screenshotformat;
	static core::Cvar *screenshotquality;

private:
	static int current_number;
	static int current_date;
};

} // namespace render

#endif // __INCLUDED_RENDER_SCREENSHOT_H__

